      program hec_ana
c
c authors: M. Dobbs and D. O'Neil          November 1998
c
c Simple shell program to loop over ntuples from hec_adc.
c 
c
      implicit none
c
c system commons
c
      include'hec_ana.inc'           ! general parameter common
      include'hec_ana_card.inc'      ! general datacard common
      include'hec_ana_evt.inc'       ! event ntuple common 
      include'hec_ana_paw.inc'       ! paw common
      include'hec_ana_runh.inc'      ! run header ntuple common
c
c general initialization
c
      call hec_ana_ini
c
c datacard init.
c
      call ffgo
c
c begin loop over runs
c
      do irun = 1, nruns
c
c run intialization (open hbook file etc.)
c and hana run initialization
c 
        call hec_ana_run_ini
c
c get run header ntuple information 
c
        call hec_ana_runh
c
c - pass #1 over data
c
        if (pass_card(1) .ne. 0) then
          i_event = 0
          do while (i_event .le. min(nevents,maxn_evts))
            i_event = i_event + 1
c
	    if (mod(i_event,1000) .eq. 0 .or. i_event .eq. 1) 
     +          print *,'i_event is', i_event
c
c read next event
c
            call hec_ana_evt
          enddo                 ! do i_event
        endif
c
c - pass #2 over data 
c
        if (pass_card(2) .ne. 0) then
          i_event = 0
          do while (i_event .le. min(nevents,maxn_evts))
            i_event = i_event + 1
c
            call hec_ana_evt            
          enddo                 ! do i_event
        endif
c
c - pass #3 over data
c
        if (pass_card(3) .ne. 0) then
          i_event = 0
          do while (i_event .le. min(nevents,maxn_evts))
            i_event = i_event + 1
c
            call hec_ana_evt
          enddo                 ! do i_event
        endif
c
c terminate run
c
        call hec_ana_run_ter
c
c end loop over runs
c
      enddo                     ! do irun = 1, nruns
c
      end





